using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class callback : System.Web.UI.Page, ICallbackEventHandler
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            // créer la référence de call-back
            string callbackRef = Page.ClientScript.GetCallbackEventReference(
                this, // contrôle      
                "document.forms[0].compte_emetteur.value", // paramètre event
                "ClientCallback", // fonction js à rappeler        
                "null"); // contexte

            // appeler DoPostBack sur un changement de sélection 
            compte_emetteur.Attributes["onChange"] = callbackRef;
        }
    }

    private string eventArgument;
    public void RaiseCallbackEvent(string eventArgument)
    {
        this.eventArgument = eventArgument;
    }

    public string GetCallbackResult()
    {
        switch (eventArgument)
        {
            case "P":
            default:
                return "Compte externe 1|Compte externe 2";

            case "L":
                return "Compte personnel";
        }
    }
}
